summaryrefslogtreecommitdiff
path: root/tests/rm/empty-name
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1998-11-01 00:09:44 +0000
committerJim Meyering <jim@meyering.net>1998-11-01 00:09:44 +0000
commitc96d9a880f034fdb4763a94a42f304a10c9d4ab7 (patch)
tree4fc10279acc0491281d971795a433015b773b619 /tests/rm/empty-name
parent25bf05e45ef3ad5211c6ba90c84fc887379b5f3d (diff)
downloadcoreutils-c96d9a880f034fdb4763a94a42f304a10c9d4ab7.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/rm/empty-name')
-rwxr-xr-xtests/rm/empty-name37
1 files changed, 37 insertions, 0 deletions
diff --git a/tests/rm/empty-name b/tests/rm/empty-name
new file mode 100755
index 000000000..36058f4a4
--- /dev/null
+++ b/tests/rm/empty-name
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+: ${PERL=perl}
+: ${srcdir=.}
+
+case "$PERL" in
+ *'missing perl')
+ echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test"
+ exit 77
+ ;;
+esac
+
+exec $PERL -w -I$srcdir/.. -MFetish -- - << \EOF
+require 5.003;
+use strict;
+
+(my $program_name = $0) =~ s|.*/||;
+
+# Turn off localisation of executable's ouput.
+@ENV{qw(LANGUAGE LANG LC_ALL)} = ('C') x 3;
+
+my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n";
+
+my @Tests =
+ (
+ # test-name options input expected-output
+ #
+ ['empty-name-1', "''", {EXIT => 1},
+ {ERR => "$prog: cannot remove `': No such file or directory\n"}],
+ );
+
+my $save_temps = $ENV{SAVE_TEMPS};
+my $verbose = $ENV{VERBOSE};
+
+my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose);
+exit $fail;
+EOF